<script lang="ts">
	import Card from '$lib/components/Card.svelte';
	import { CardVariant } from '$lib/types/card';
</script>

<svelte:head>
	<title>Components</title>
</svelte:head>

<div class="content">
	<h1>Components</h1>
	<ul>
		<li>
			<a href="/components/button">
				<Card variant={CardVariant.GLASS}>
					<span>Button</span>
				</Card>
			</a>
		</li>
		<li>
			<a href="/components/card">
				<Card variant={CardVariant.GLASS}>
					<span>Card</span>
				</Card>
			</a>
		</li>
		<li>
			<a href="/components/input">
				<Card variant={CardVariant.GLASS}>
					<span>Input</span>
				</Card>
			</a>
		</li>
	</ul>
</div>

<style>
	ul {
		list-style: none;
		margin: 0;
		padding: 0;
		display: flex;
		flex-direction: column;
		gap: 1em;
	}
</style>
